- 基本情報
- 認証
- 範囲と権限
- プラットフォーム管理 API

Test Cloud API ガイド
監査イベントを取得する
組織の監査ログを取得します。API はログ エクスペリエンスによって異なります。
統合されたログのエクスペリエンス
統合ログ エクスペリエンスでは、これらの API エンドポイントを使用して、次の 2 つのスコープが提供されます。
- 組織レベル:
/orgaudit_/ - テナント レベル:
/tenantaudit_/
これらの API は、統合フレームワークで使用できる UiPath サービス全体にわたる監査情報を返します。
API エンドポイント
統合ログ エクスペリエンスで監査ログを取得する場合、以下の 2 つの異なるエンドポイントを使用できます。
-
メタデータ: 利用可能なすべての監査イベントの種類を取得します。ソース、カテゴリ、アクティビティの階層として構成されています。
スコープ API エンドポイント 組織レベル GET{accessURL}/{org-name}/orgaudit_/api/query/sources
すべてのエンドポイント パスの {accessURL} は、ご使用のクラウド プラットフォームのベース URL に置き換えてください。
| Cloud Platform | アクセス URL |
|---|---|
| Test Cloud | https://cloud.uipath.com/ |
| Test Cloud (公共部門向け) | https://govcloud.uipath.us/ |
| Test Cloud (専有型) | https://{customURL}.dedicated.uipath.com/ |
| テナント レベル | GET {accessURL}/{org-name}/{tenant-name}/tenantaudit_/api/query/sources |
すべてのエンドポイント パスの {accessURL} は、ご使用のクラウド プラットフォームのベース URL に置き換えてください。
| Cloud Platform | アクセス URL |
|---|---|
| Test Cloud | https://cloud.uipath.com/ |
| Test Cloud (公共部門向け) | https://govcloud.uipath.us/ |
| Test Cloud (専有型) | https://{customURL}.dedicated.uipath.com/ |
-
クエリ イベント: 高度なフィルター処理を使用して、指定したスコープの監査イベントを取得します。
スコープ API エンドポイント 組織レベル GET{accessURL}/{org-name}/orgaudit_/api/query/events
すべてのエンドポイント パスの {accessURL} は、ご使用のクラウド プラットフォームのベース URL に置き換えてください。
| Cloud Platform | アクセス URL |
|---|---|
| Test Cloud | https://cloud.uipath.com/ |
| Test Cloud (公共部門向け) | https://govcloud.uipath.us/ |
| Test Cloud (専有型) | https://{customURL}.dedicated.uipath.com/ |
| テナント レベル | GET``https://cloud.uipath.com/{org-name}/{tenant-name}/tenantaudit_/api/query/events |
スコープ
次のスコープのいずれかが必要です。
- PM.Audit
- PM.Audit.Read
要求ヘッダー
--header 'Authorization: Bearer {access_token}'
--header 'Content-Type: application/json'
--header 'Authorization: Bearer {access_token}'
--header 'Content-Type: application/json'
クエリ パラメーター
| パラメーター | データ型 | 説明 |
|---|---|---|
from (任意) | DateTime | 間隔の開始 |
to (任意) | DateTime | 間隔の終了 |
source (任意) | Array [String] | イベント ソースのリスト (メタデータ API によって返される) |
target (任意) | Array [String] | イベント カテゴリのリスト |
type (任意) | Array [String] | アクティビティの種類のリスト |
userIds (任意) | Array [String] | ユーザー識別子のリスト |
searchTerm (任意) | 文字列 | 検索するキーワードまたは用語 |
status (任意) | Integer |
|
maxCount (任意) | Integer | 返すレコードの最大数 |
応答
200 OK
次の値を含む JSON オブジェクトが返されます。
- 監査イベントのリスト
- 新しいイベントを表示する、ページネーションの
nextリンク - 古いイベントを表示する、ページネーションの
previousリンク
応答の例
{
"auditEvents": [
{
"id": "string",
"createdOn": "2025-03-24T18:35:38.122Z",
"organizationId": "string",
"organizationName": "string",
"tenantId": "string",
"tenantName": "string",
"actorId": "string",
"actorName": "string",
"actorEmail": "string",
"eventType": "string",
"eventSource": "string",
"eventTarget": "string",
"eventDetails": "string",
"eventSummary": "string",
"status": 0,
"clientInfo": {
"ipAddress": "string",
"ipCountry": "string"
}
}
],
"next": "string",
"previous": "string"
}
{
"auditEvents": [
{
"id": "string",
"createdOn": "2025-03-24T18:35:38.122Z",
"organizationId": "string",
"organizationName": "string",
"tenantId": "string",
"tenantName": "string",
"actorId": "string",
"actorName": "string",
"actorEmail": "string",
"eventType": "string",
"eventSource": "string",
"eventTarget": "string",
"eventDetails": "string",
"eventSummary": "string",
"status": 0,
"clientInfo": {
"ipAddress": "string",
"ipCountry": "string"
}
}
],
"next": "string",
"previous": "string"
}
要求の例
- 組織レベル
curl --location 'https://cloud.uipath.com/{org-name}/orgaudit_/api/query/events?status=0&from=2024-12-24T19%3A11%3A46.403Z&to=2025-03-24T19%3A11%3A46.403Z' \ --header 'Authorization: Bearer {token}'curl --location 'https://cloud.uipath.com/{org-name}/orgaudit_/api/query/events?status=0&from=2024-12-24T19%3A11%3A46.403Z&to=2025-03-24T19%3A11%3A46.403Z' \ --header 'Authorization: Bearer {token}' - テナント レベル
curl --location 'https://cloud.uipath.com/{org-name}/{tenant-name}/tenantaudit_/api/query/events?status=0&from=2024-12-24T19%3A11%3A46.403Z&to=2025-03-24T19%3A11%3A46.403Z' \ --header 'Authorization: Bearer {token}'curl --location 'https://cloud.uipath.com/{org-name}/{tenant-name}/tenantaudit_/api/query/events?status=0&from=2024-12-24T19%3A11%3A46.403Z&to=2025-03-24T19%3A11%3A46.403Z' \ --header 'Authorization: Bearer {token}'
クラシック ログのエクスペリエンス
組織の監査ログをその名前に基づいて取得します。
API エンドポイント
GET {accessURL}/audit_/api/auditlogs/partitionGlobalId
すべてのエンドポイント パスの {accessURL} は、ご使用のクラウド プラットフォームのベース URL に置き換えてください。
| Cloud Platform | アクセス URL |
|---|---|
| Test Cloud | https://cloud.uipath.com/ |
| Test Cloud (公共部門向け) | https://govcloud.uipath.us/ |
| Test Cloud (専有型) | https://{customURL}.dedicated.uipath.com/ |
スコープ
次のスコープのいずれかが必要です。
- PM.Audit
- PM.Audit.Read
要求ヘッダー
--header 'Authorization: Bearer {access_token}'\
--header 'Content-Type: application/json'
--header 'Authorization: Bearer {access_token}'\
--header 'Content-Type: application/json'
Query Parameters
| クエリ パラメーター | データ型 | 説明 |
|---|---|---|
language (任意) | string | 利用可能な表示言語を短い形式で指定します。 たとえば、en、fr、de、ja などです。 |
top (任意) | int32 | 監査の上位 N 件のエントリを表示します。 |
skip (任意) | int32 | 上位 N 件の監査エントリの表示をスキップします。 |
sortBy (任意) | string | 監査エントリの並べ替え条件として使用する DTO プロパティを指定します。 たとえば、createdOn、category、email などです。 |
sortOrder (任意) | string | 並べ替え順序を指定します。 たとえば、昇順 (asc) または降順 (desc) です。 |
api-version (任意) | string | 使用している API バージョンを指定します。 |
応答
200 OK
クエリが実行された監査イベントを返します。
要求の例
API 呼び出しの構築に必要な情報をすべて収集したとします。
{baseURL}はhttps://cloud.uipath.com/{organizationName}です。{access_token}は1234です (長さを考慮)。- 以下のクエリ パラメーターを設定します。
language=entop= 2。上位 2 件のエントリを表示します。skip= 2。最初の 2 件のエントリをスキップします。sortBy=createdOn。エントリを作成日時で並べ替えます。sortOrder=asc。エントリを最も古いものから最も新しいものの順に並べ替えます。
呼び出しは次の例のようになります (cURL)。
curl --location --request GET ' https://cloud.uipath.com/{organizationName}/audit_/api/auditlogs?language=en&top=2&skip=2&sortBy=createdOn&sortOrder=asc' \
--header 'Authorization: Bearer 1234' \
--header 'Content-Type: application/json'
curl --location --request GET ' https://cloud.uipath.com/{organizationName}/audit_/api/auditlogs?language=en&top=2&skip=2&sortBy=createdOn&sortOrder=asc' \
--header 'Authorization: Bearer 1234' \
--header 'Content-Type: application/json'
監査エントリが正常に取得された場合、応答本文は次のようになります。
{
"totalCount": 29,
"results": [
{
"createdOn": "2021-10-14T13:10:15.1964174+00:00",
"category": "User",
"action": "Login",
"auditLogDetails": "{\r\n \"userName\": \"System Administrator admin\",\r\n \"email\": \"\"\r\n}",
"userName": "System Administrator",
"email": "",
"message": "User 'System Administrator admin' logged in",
"detailsVersion": "1.0",
"source": "Cis"
},
....
{
"createdOn": "2021-10-14T12:41:00.3268964+00:00",
"category": "User",
"action": "Login",
"auditLogDetails": "{\r\n \"userName\": \"System Administrator admin\",\r\n \"email\": \"\"\r\n}",
"userName": "System Administrator",
"email": "",
"message": "User 'System Administrator admin' logged in",
"detailsVersion": "1.0",
"source": "Cis"
}
]
}
{
"totalCount": 29,
"results": [
{
"createdOn": "2021-10-14T13:10:15.1964174+00:00",
"category": "User",
"action": "Login",
"auditLogDetails": "{\r\n \"userName\": \"System Administrator admin\",\r\n \"email\": \"\"\r\n}",
"userName": "System Administrator",
"email": "",
"message": "User 'System Administrator admin' logged in",
"detailsVersion": "1.0",
"source": "Cis"
},
....
{
"createdOn": "2021-10-14T12:41:00.3268964+00:00",
"category": "User",
"action": "Login",
"auditLogDetails": "{\r\n \"userName\": \"System Administrator admin\",\r\n \"email\": \"\"\r\n}",
"userName": "System Administrator",
"email": "",
"message": "User 'System Administrator admin' logged in",
"detailsVersion": "1.0",
"source": "Cis"
}
]
}